package com.datacloudsec.scan.cache;

import com.datacloudsec.scan.common.Constant;
import com.datacloudsec.utils.JsonUtil;
import java.io.File;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/* loaded from: com_datacloudsec_scan_cache.jar:com/datacloudsec/scan/cache/Region.class */
public class Region {
    private Map<String, Object> config;
    private List<String> region;
    private static long lastMdfTime;
    private static File confFile = new File(Constant.WORK_DIR, "conf/region.json");
    private static Region instance;

    public Map<String, Object> getConfig() {
        return this.config;
    }

    public List<String> getRegion() {
        return this.region;
    }

    private Region() {
    }

    public static synchronized Region getInstance() throws Exception {
        if (instance == null) {
            instance = new Region();
        }
        if (confFile.lastModified() != lastMdfTime) {
            instance.config = (Map) JsonUtil.MAPPER_ESCAPE_HTML.readValue(confFile, Map.class);
            instance.region = new ArrayList();
            Map<String, Object> root = (Map) instance.config.get("86");
            for (Map.Entry<String, Object> e : root.entrySet()) {
                String rootstr = "insert into t_region(id,parentId,name) values(" + e.getKey() + ",0,'" + e.getValue() + "');";
                System.out.println(rootstr);
                instance.region.add(rootstr);
                Map<String, Object> city = (Map) instance.config.get(e.getKey());
                for (Map.Entry<String, Object> ce : city.entrySet()) {
                    if (ce.getValue().equals("市辖区") || ce.getValue().equals("县")) {
                        Map<String, Object> three = (Map) instance.config.get(ce.getKey());
                        for (Map.Entry<String, Object> te : three.entrySet()) {
                            String thrstr = "insert into t_region(id,parentId,name) values(" + te.getKey() + "," + e.getKey() + ",'" + te.getValue() + "');";
                            System.out.println(thrstr);
                            instance.region.add(thrstr);
                        }
                    } else {
                        String cstr = "insert into t_region(id,parentId,name) values(" + ce.getKey() + "," + e.getKey() + ",'" + ce.getValue() + "');";
                        System.out.println(cstr);
                        instance.region.add(cstr);
                    }
                }
            }
            lastMdfTime = confFile.lastModified();
        }
        return instance;
    }

    public static void main(String[] args) throws Exception {
        getInstance();
    }
}
